<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>
    </ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{64C7394B-A86A-4939-9F0E-CA01683CB8D7}</ProjectGuid>
    <ProjectTypeGuids>{349c5851-65df-11da-9384-00065b846f21};{fae04ec0-301f-11d3-bf4b-00c04f79efbc}</ProjectTypeGuids>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>SLBestPractices.Web</RootNamespace>
    <AssemblyName>SLBestPractices.Web</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <SilverlightApplicationList>{A7E79994-3506-4620-8A8C-ED0F3E8AA626}|..\SLBestPractices\SLBestPractices.csproj|ClientBin|False,{55405F85-BEC5-40AC-8083-4F76E865BDF4}|..\BasicVS2010\BasicVS2010.csproj|ClientBin|False,{64A80E6B-F438-4306-91BC-FC57752451F8}|..\LessBasicVS2010\LessBasicVS2010.csproj|ClientBin|False,{EC84D2DB-F65C-461B-8A40-324A3E5E73CD}|..\DataBinding\DataBinding.csproj|ClientBin|False,{F9A00636-FDE3-4016-8BDB-1B0E5553C19B}|..\WCFExample\WCFExample.csproj|ClientBin|False,{F9F3C65B-5CAB-486C-8B8D-11A42884689B}|..\WCFRiaExample\WCFRiaExample.csproj|ClientBin|False,{F7D06361-DA33-414C-94D2-8C24ECD6D564}|..\StylesAndResources\StylesAndResources.csproj|ClientBin|False</SilverlightApplicationList>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Data.Entity" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Security" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.ServiceModel.DomainServices.EntityFramework, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
    <Reference Include="System.ServiceModel.DomainServices.Hosting, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL" />
    <Reference Include="System.ServiceModel.DomainServices.Server, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL" />
    <Reference Include="System.Web.DynamicData" />
    <Reference Include="System.Web.Entity" />
    <Reference Include="System.Web.ApplicationServices" />
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Web" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Web.Services" />
    <Reference Include="System.EnterpriseServices" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="App_Data\SampleDatabase.mdf" />
    <Content Include="App_Data\SampleDatabase_log.ldf">
      <DependentUpon>SampleDatabase.mdf</DependentUpon>
    </Content>
    <Content Include="BasicVS2010TestPage.aspx" />
    <Content Include="BasicVS2010TestPage.html" />
    <Content Include="ClientBin\BasicVS2010.xap" />
    <Content Include="ClientBin\DataBinding.xap" />
    <Content Include="ClientBin\LessBasicVS2010.xap" />
    <Content Include="ClientBin\SLBestPractices.xap" />
    <Content Include="ClientBin\StylesAndResources.xap" />
    <Content Include="ClientBin\WCFExample.xap" />
    <Content Include="ClientBin\WCFRiaExample.xap" />
    <Content Include="DataBindingTestPage.aspx" />
    <Content Include="DataBindingTestPage.html" />
    <Content Include="LessBasicVS2010TestPage.aspx" />
    <Content Include="LessBasicVS2010TestPage.html" />
    <Content Include="Silverlight.js" />
    <Content Include="SLBestPracticesTestPage.aspx" />
    <Content Include="SLBestPracticesTestPage.html" />
    <Content Include="StylesAndResourcesTestPage.aspx" />
    <Content Include="StylesAndResourcesTestPage.html" />
    <Content Include="WCFExampleService.svc" />
    <Content Include="WCFExampleTestPage.aspx" />
    <Content Include="WCFExampleTestPage.html" />
    <Content Include="WCFRiaExampleTestPage.aspx" />
    <Content Include="WCFRiaExampleTestPage.html" />
    <Content Include="Web.config" />
    <Content Include="Web.Debug.config">
      <DependentUpon>Web.config</DependentUpon>
    </Content>
    <Content Include="Web.Release.config">
      <DependentUpon>Web.config</DependentUpon>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Classes\LinkItem.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SampleModel.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>SampleModel.edmx</DependentUpon>
    </Compile>
    <Compile Include="WCFExampleService.svc.cs">
      <DependentUpon>WCFExampleService.svc</DependentUpon>
    </Compile>
    <Compile Include="WCFRiaServiceDS.cs" />
    <Compile Include="WCFRiaServiceDS.metadata.cs" />
  </ItemGroup>
  <ItemGroup>
    <EntityDeploy Include="SampleModel.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>SampleModel.Designer.cs</LastGenOutput>
    </EntityDeploy>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v10.0\WebApplications\Microsoft.WebApplication.targets" />
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
        <WebProjectProperties>
          <UseIIS>False</UseIIS>
          <AutoAssignPort>True</AutoAssignPort>
          <DevelopmentServerPort>3964</DevelopmentServerPort>
          <DevelopmentServerVPath>/</DevelopmentServerVPath>
          <IISUrl>
          </IISUrl>
          <NTLMAuthentication>False</NTLMAuthentication>
          <UseCustomServer>False</UseCustomServer>
          <CustomServerUrl>
          </CustomServerUrl>
          <SaveServerSettingsInUserFile>False</SaveServerSettingsInUserFile>
        </WebProjectProperties>
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>